package com.bonus.canteen.core.supply.vo;

import io.swagger.annotations.ApiModelProperty;

public class DrpSuggestedSuppliersVO {
   @ApiModelProperty("货品id")
   private Long materialId;
   @ApiModelProperty("供应商ID")
   private Long supplierId;
   @ApiModelProperty("供应商名称")
   private String supplierName;
   @ApiModelProperty("类别ID")
   private Long categoryId;

   public Long getMaterialId() {
      return this.materialId;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getSupplierName() {
      return this.supplierName;
   }

   public Long getCategoryId() {
      return this.categoryId;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setSupplierName(final String supplierName) {
      this.supplierName = supplierName;
   }

   public void setCategoryId(final Long categoryId) {
      this.categoryId = categoryId;
   }



   public String toString() {
      Long var10000 = this.getMaterialId();
      return "DrpSuggestedSuppliersVO(materialId=" + var10000 + ", supplierId=" + this.getSupplierId() + ", supplierName=" + this.getSupplierName() + ", categoryId=" + this.getCategoryId() + ")";
   }
}
